YamlTocStrategy (Grails 6.0.0)

Package: grails.doc.internal

## [Groovy] Class YamlTocStrategy

- grails.doc.internal.YamlTocStrategy

-     class YamlTocStrategy
      extends java.lang.Object

  Class representing a Grails user guide table of contents defined in YAML.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `ext` |
    `private java.lang.Object` | `parser` |
    `private java.lang.Object` | `resourceChecker` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `YamlTocStrategy (java.lang.Object resourceChecker, java.lang.String ext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private java.lang.Object` | `determineFilePath(java.lang.Object basename, java.lang.Object parent)`
    `` | `UserGuideNode` | `generateToc(java.lang.Object yaml)`
    `` | `protected UserGuideNode` | `load(java.lang.String yaml)`
    `` | `protected UserGuideNode` | `load(java.io.File file)`
    `` | `protected UserGuideNode` | `load(java.io.InputStream input)`
    `` | `protected UserGuideNode` | `load(java.io.Reader input)`
    `` | `private java.lang.Object` | `process(java.lang.Object yamlDoc)`
    `` | `private java.lang.Object` | `processSection(java.util.Map sections, UserGuideNode node)`
    `` | `private java.lang.Object` | `processSection(java.lang.String title, UserGuideNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String ext

    - #### private final java.lang.Object parser

    - #### private java.lang.Object resourceChecker

  - ### Constructor Detail

    - #### YamlTocStrategy(java.lang.Object resourceChecker, java.lang.String ext)

  - ### Method Detail

    - #### private java.lang.Object determineFilePath(java.lang.Object basename, java.lang.Object parent)

    - #### UserGuideNode generateToc(java.lang.Object yaml)

    - #### protected UserGuideNode load(java.lang.String yaml)

    - #### protected UserGuideNode load(java.io.File file)

    - #### protected UserGuideNode load(java.io.InputStream input)

    - #### protected UserGuideNode load(java.io.Reader input)

    - #### private java.lang.Object process(java.lang.Object yamlDoc)

    - #### private java.lang.Object processSection(java.util.Map sections, UserGuideNode node)

    - #### private java.lang.Object processSection(java.lang.String title, UserGuideNode node)